- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QWebHistoryItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 39 of file qwebhistory.h.

`#include <qwebhistory.h>`

List of all members.

## Public Member Functions
| QWebHistoryItem (const QWebHistoryItem &other)
QWebHistoryItem & | operator= (const QWebHistoryItem &other)
| ~QWebHistoryItem ()
QUrl | originalUrl () const
QUrl | url () const
QString | title () const
QDateTime | lastVisited () const
QIcon | icon () const
QVariant | userData () const
void | setUserData (const QVariant &userData)
bool | isValid () const
## Friends
class | QWebHistory
class | QWebPage
class | WebCore::FrameLoaderClientQt
class | QWebHistoryItemPrivate

## Constructor & Destructor Documentation

QWebHistoryItem | ( | const QWebHistoryItem & | other | ) |

~QWebHistoryItem | ( |  | ) |

## Member Function Documentation

QWebHistoryItem& operator= | ( | const QWebHistoryItem & | other | ) |

QUrl originalUrl | ( |  | ) | const

Search for all occurrences

QUrl url | ( |  | ) | const

Search for all occurrences

QString title | ( |  | ) | const

Search for all occurrences

QDateTime lastVisited | ( |  | ) | const

Search for all occurrences

QIcon icon | ( |  | ) | const

Search for all occurrences

QVariant userData | ( |  | ) | const

Search for all occurrences

void setUserData | ( | const QVariant & | userData | ) |

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QWebHistory `[friend]`

Search for all occurrences

Definition at line 60 of file qwebhistory.h.

friend class QWebPage `[friend]`

Search for all occurrences

Definition at line 61 of file qwebhistory.h.

friend class WebCore::FrameLoaderClientQt `[friend]`

Search for all occurrences

Definition at line 62 of file qwebhistory.h.

friend class QWebHistoryItemPrivate `[friend]`

Search for all occurrences

Definition at line 63 of file qwebhistory.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebhistory.h

QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem
QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem QWebHistoryItem